ICA(1)

NAME
ica - iTALC Client Application

SYNOPSIS
ica [options]
ica [options] [command]

DESCRIPTION

ICA is the software which needs to run on clients in order to access them using iTALC master application. It provides a VNC-server and a service-daemon which is neccessary for taking control over the client.

OPTIONS

-role role

    Set role under which ICA should run where role has to be "teacher", "admin", "supporter" or "other". This is mainly used in combination with the -createkeypair option.

-ivsport port

    Set port at which the iTALC-VNC-server should listen. Default: 11100

-isdport port

    Set port at which the iTALC-service-daemon should listen. Default: 11200

-noshm

    Do not use the MIT-SHM extension for the polling. Remote displays can be polled this way: be careful this can use large amounts of network bandwidth. This is also of use if the local machine has a limited number of shm segments and -onetile is not sufficient.

-onetile

    Do not use the new copy_tiles() framebuffer mechanism, just use 1 shm tile for polling. Limits shm segments used to 3.

-createkeypair [private-key-file] [public-key-file]

    Create a new key pair for authentication between master and client. Until specified with -role the key-pair will be created for role "other". The keys either will be saved under given file-names or the default ones according to the selected role (/etc/italc/keys/private/<role>/key and /etc/italc/keys/public/<role>/key).

SEE ALSO
italc(1), http://italc.sf.net/

AUTHOR
iTALC was written by Tobias Doerffel. See AUTHORS for details.

This manual page was written by Tobias Doerffel <tobydox /at/ users /dot/ sf /dot/ net>, for the Debian project (but may be used by others).